org.eclipse.gef

## Class SharedCursors

- java.lang.Object
- - org.eclipse.draw2d.Cursors
  - - org.eclipse.gef.SharedCursors

    public class SharedCursors
    extends Cursors

A shared collection of Cursors.

Since:
  2.0

### Field Summary

Fields
`static Cursor` `CURSOR_PLUG` Cursor for valid connection
`static Cursor` `CURSOR_PLUG_NOT` Cursor for invalid connection
`static Cursor` `CURSOR_TREE_ADD` Cursor for adding to a tree
`static Cursor` `CURSOR_TREE_MOVE` Cursor for dragging in a tree

### Fields inherited from class org.eclipse.draw2d.Cursors

`APPSTARTING, ARROW, CROSS, HAND, HELP, IBEAM, NO, SIZEALL, SIZEE, SIZEN, SIZENE, SIZENESW, SIZENS, SIZENW, SIZENWSE, SIZES, SIZESE, SIZESW, SIZEW, SIZEWE, UPARROW, WAIT`

### Constructor Summary

Constructors
Constructor and Description
`SharedCursors()`

### Method Summary

### Methods inherited from class org.eclipse.draw2d.Cursors

`getDirectionalCursor, getDirectionalCursor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CURSOR_PLUG

    public static final Cursor CURSOR_PLUG

Cursor for valid connection

#### CURSOR_PLUG_NOT

    public static final Cursor CURSOR_PLUG_NOT

Cursor for invalid connection

#### CURSOR_TREE_ADD

    public static final Cursor CURSOR_TREE_ADD

Cursor for adding to a tree

#### CURSOR_TREE_MOVE

    public static final Cursor CURSOR_TREE_MOVE

Cursor for dragging in a tree

### Constructor Detail

#### SharedCursors

    public SharedCursors()